[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: more bugs in branch-2-0/HEAD

From: Bob Friesenhahn
Subject: Re: more bugs in branch-2-0/HEAD
Date: Sat, 17 Sep 2005 11:46:41 -0500 (CDT)

On Sat, 17 Sep 2005, Ralf Wildenhues wrote:

If it is too invasive to get LTDL_INIT user-exportable and user-usable
at the moment, I may even be convinced to offer the new non-subpackage
feature post 2.0 only (maybe in a followup minor release even).  I know
Bob will hate me for this, :)  but 2.0 is needed badly for a number of
other features as well, which IMVHO seem to work now.  I'm open to
arguments, surely this is an area where we should reach consensus.

The package I maintain (as well as ImageMagick) has been using libltdl as a "non-subpackage" for maybe four years now. This was reasonably easy to do because libltdl was simple. However, since then, Gary has significantly altered the libltdl structure so it is complex to build. If libtool does not provide the advertised "non-subpackage" support, then it will be much more difficult for a package to accomplish this by itself.

Bob Friesenhahn
GraphicsMagick Maintainer,

reply via email to

[Prev in Thread] Current Thread [Next in Thread]